Package twisted :: Package spread :: Module pb :: Class BrokerClientFactory

[frames | no frames]

## Class BrokerClientFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   BrokerClientFactory

Method Summary
| `__init__(self, protocol)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed to connect.
| `clientConnectionMade(self, protocol)`
Inherited from ClientFactory
| ``clientConnectionLost`(self, connector, reason)` Called when an established connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`int` | `noisy` = 0
`int` | `unsafeTracebacks` = 0
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Parameters:
    `addr` - an object implementing `twisted.internet.interfaces.IAddress`
  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### clientConnectionFailed(self, connector, reason)

Called when a connection has failed to connect.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ClientFactory.clientConnectionFailed` (inherited documentation)

Class Variable Details

### noisy

  Type:
    `int`
  Value:

        0

### unsafeTracebacks

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:34 2004 | http://epydoc.sf.net